﻿@model AccountNotifyAlertsViewModel
@{
    if (!Request.IsPjaxRequest())
    {
        Layout = "~/Views/Shared/_AccountLayout.cshtml";
    }
    ViewBag.Title = "اعلان ها";
}

<div class="row">
    <div class="col-md-12">
        <h6>تعداد اعلان ها: @Model.UserNotifications.Count</h6>
    </div>
    <div class="col-md-12 account-list">
        <div class="table-responsive" id="notfiesTable">
            <table class="table table-sm table-hover">
                <thead>
                    <tr class="text-center">
                        <th>نوع اعلان</th>
                        <th>ارز</th>
                        <th>مقدار</th>
                        <th>وضعیت</th>
                        <th>ایمیل</th>
                        <th>پیامک</th>
                        <th>تلگرام</th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model.UserNotifications != null && Model.UserNotifications.Any())
                    {
                        foreach (var item in Model.UserNotifications)
                        {
                            <tr>
                                <td>
                                    @item.Type.ToDisplay()
                                </td>
                                <td>
                                    @switch (item.Type)
                                    {
                                        case Xtoman.Domain.Models.NotifyAlertType.ExchangeRateBelow:
                                        case Xtoman.Domain.Models.NotifyAlertType.ExchangeRateUpper:
                                            <span>@item.ExchangeType.FromCurrencyName <span class="fa fa-arrow-left"></span> @item.ExchangeType.ToCurrencyName</span>
                                            break;
                                        case Xtoman.Domain.Models.NotifyAlertType.ValueAvailable:
                                            <span>@item.BaseCurrency.Name</span>
                                            break;
                                    }
                                </td>
                                <td>@item.Value</td>
                                <td>@(item.AlertedDate.HasValue ? item.AlertedDate.Value.ToFaDateTimeZone() : "در انتظار اعلان")</td>
                                <td>@Html.CheckBoxFor(m => item.SendViaEmail)</td>
                                <td>@Html.CheckBoxFor(m => item.SendViaSMS)</td>
                                <td>@Html.CheckBoxFor(m => item.SendViaTelegram)</td>
                                <td>
                                    @if (item.AlertedDate.HasValue)
                                    {
                                        <button class="btn btn-secondary">اعلان مجدد</button>
                                    }
                                    else
                                    {
                                        <button class="btn btn-danger">حذف</button>
                                    }
                                </td>
                            </tr>
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="9" class="text-center">
                                هنوز هیچ اعلانی اضافه نشده است.
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
            <a href="#" onclick="addNotify(); return false" class="btn btn-primary mb-3 float-right no-pjax">ثبت اعلان جدید</a>
        </div>
        <div id="addNotifyDiv" style="display:none;">
            @Html.Partial("_AddNotifyPartial", new AddNotifyAlertViewModel())
        </div>
    </div>
</div>